## ros-galactic-rmw-gurumdds-cpp 2.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmw_gurumdds_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake_ros REQUIRED)
find_package(rcutils REQUIRED)
find_package(gurumdds_cmake_module REQUIRED)

find_package(GurumDDS QUIET MODULE)
if(GurumDDS_FOUND)
  find_package(GurumDDS MODULE)
endif()
if(NOT GurumDDS_FOUND OR GURUMDDS_STATIC_DISABLE)
  ament_package()
  if(NOT GurumDDS_FOUND)
    message(WARNING "Could not find GurumDDS - skipping '${PROJECT_NAME}'")
  else()
    message(STATUS "GurumDDS static rmw implementation explicitly disabled - skipping '${PROJECT_NAME}'")
  endif()
  return()
endif()

find_package(rosidl_typesupport_introspection_c)
if(NOT rosidl_typesupport_introspection_c_FOUND)
  ament_package()
  message(WARNING "Could not find ROSIDL TypeSupport for GurumDDS (rosidl_typesupport_introspection_c) - skipping '${PROJECT_NAME}'")
  return()
endif()

find_package(rosidl_typesupport_introspection_cpp)
if(NOT rosidl_typesupport_introspection_cpp_FOUND)
  ament_package()
  message(WARNING "Could not find ROSIDL TypeSupport for GurumDDS (rosidl_typesupport_introspection_cpp) - skipping '${PROJECT_NAME}'")
  return()
endif()

find_package(rmw REQUIRED)
find_package(rmw_gurumdds_shared_cpp REQUIRED)
find_package(rosidl_runtime_c REQUIRED)
find_package(rosidl_runtime_cpp REQUIRED)

include_directories(include)

add_library(rmw_gurumdds_cpp
  SHARED
  src/identifier.cpp
  src/message_converter.cpp
  src/serialization_format.cpp
  src/rmw_client.cpp
  src/rmw_compare_gids_equal.cpp
  src/rmw_count.cpp
  src/rmw_event.cpp
  src/rmw_get_implementation_identifier.cpp
  src/rmw_get_network_flow_endpoints.cpp
  src/rmw_get_serialization_format.cpp
  src/rmw_get_topic_endpoint_info.cpp
  src/rmw_guard_condition.cpp
  src/rmw_init.cpp
  src/rmw_logging.cpp
  src/rmw_node.cpp
  src/rmw_node_info_and_types.cpp
  src/rmw_publisher.cpp
  src/rmw_qos.cpp
  src/rmw_request.cpp
  src/rmw_response.cpp
  src/rmw_serialize.cpp
  src/rmw_service.cpp
  src/rmw_service_names_and_types.cpp
  src/rmw_subscription.cpp
  src/rmw_topic_names_and_types.cpp
  src/rmw_wait.cpp
  src/type_support_common.hpp
  src/types.cpp
  src/get_entities.cpp
)

ament_target_dependencies(rmw_gurumdds_cpp
  "rcutils"
  "rosidl_typesupport_introspection_c"
  "rosidl_typesupport_introspection_cpp"
  "rmw_gurumdds_shared_cpp"
  "rmw"
  "rosidl_runtime_c"
  "rosidl_runtime_cpp"
  "GurumDDS")

ament_export_include_directories(include)
ament_export_libraries(rmw_gurumdds_cpp)

ament_export_dependencies(
  rosidl_typesupport_introspection_cpp
  rosidl_typesupport_introspection_c
  rosidl_runtime_c
  rosidl_runtime_cpp
  rcutils
  rmw_gurumdds_shared_cpp
  rmw
)

register_rmw_implementation(
  "c:rosidl_typesupport_c:rosidl_typesupport_introspection_c"
  "cpp:rosidl_typesupport_cpp:rosidl_typesupport_introspection_cpp")

configure_rmw_library(rmw_gurumdds_cpp)

# Causes the visibility macros to use dllexport rather than dllimport
# which is appropriate when building the library but not consuming it.
target_compile_definitions(rmw_gurumdds_cpp PRIVATE "RMW_GURUMDDS_CPP_BUILDING_LIBRARY")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS_POST "rmw_gurumdds_cpp-extras.cmake"
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS rmw_gurumdds_cpp
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros-galactic-rmw-gurumdds-cpp (2.3.0-1focal) focal; urgency=high

  * Enhanced rpc with sampleinfoex
  * Basic rpc
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.2.4-1focal) focal; urgency=high

  * Remove minimum dds version as raw typesupport removed
  * Revert raw typesupport patch
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 25 Apr 2022 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.2.3-1focal) focal; urgency=high

  * Remove dead store
  * Adjust minimum dds version
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 16 Mar 2022 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.2.2-1focal) focal; urgency=high

  * Use raw typesupport instead of typesupport
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 15 Feb 2022 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.2.1-1focal) focal; urgency=high

  * Add omitted free
  * Change to delete only the entities created by the user
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 15 Feb 2022 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.2.0-1focal) focal; urgency=high

  * Update packages to use gurumdds-2.8 & Update README
  * Remove dds_typesupport from Publisher/Subscriber Info
  * Change the return time when destroying entities
  * Add ommited memory manage code
  * Modify unnecessary code
  * Fix typo
  * Update return value
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 03 Jan 2022 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.1.11-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 13 Oct 2021 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.1.10-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 26 Sep 2021 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.1.9-1focal) focal; urgency=high

  * Fix unbounded sequence size
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 01 Sep 2021 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.1.8-1focal) focal; urgency=high

  * Remove datareader listener patch
  * Remove unnecessary operation
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 18 Aug 2021 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.1.7-1focal) focal; urgency=high



 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 13 Jul 2021 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.1.6-1focal) focal; urgency=high

  * Use variable attempt to take the number of times equal to count
  * Check if the queue is empty before using it
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 07 Jul 2021 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.1.5-1focal) focal; urgency=high

  * Revise for lint
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Tue, 27 Apr 2021 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.1.4-1focal) focal; urgency=high

  * Indicate missing support for unique network flows
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Wed, 21 Apr 2021 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.1.3-1focal) focal; urgency=high

  * Use dds_free instead of free for dll library
  * Contributors: Youngjin Yun

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 11 Apr 2021 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.1.2-1focal) focal; urgency=high

  * Update code about build error on windows
  * Add RMW function to check QoS compatibility
  * 2.1.1
  * Update packages to use gurumdds-2.7
  * Contributors: Youngjin Yun, youngjin

 -- Youngjin Yun <youngjin@gurum.cc>  Sun, 21 Mar 2021 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.1.1-1focal) focal; urgency=high

  * Update packages to use gurumdds-2.7
  * Contributors: youngjin

 -- Youngjin Yun <youngjin@gurum.cc>  Thu, 11 Mar 2021 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.1.0-1focal) focal; urgency=high

  * Change maintainer
  * Handle typesupport errors on retrieval
  * Set actual domain id into context
  * Fix wrong error messages
  * Use DataReader listener for taking data samples
  * Contributors: junho, youngjin

 -- Youngjin Yun <youngjin@gurum.cc>  Mon, 22 Feb 2021 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.0.1-1focal) focal; urgency=high

  * Change maintainer
  * Contributors: junho

 -- Junho Lee <junho@gurum.cc>  Tue, 28 Jul 2020 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (2.0.0-1focal) focal; urgency=high

  * Removed parameters domain_id and localhost_only from rmw_create_node()
  * Updated init/shutdown/init option functions
  * Contributors: junho

 -- junhui <junhui@gurum.cc>  Wed, 08 Jul 2020 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (1.1.0-1focal) focal; urgency=high

  * Finalize rmw context only if it's shutdown
  * Added support for sample_lost event
  * Renamed rmw_gurumdds_dynamic_cpp to rmw_gurumdds_cpp
  * Renamed rmw_gurumdds_cpp to rmw_gurumdds_static_cpp
  * Contributors: junho

 -- junhui <junhui@gurum.cc>  Wed, 08 Jul 2020 15:00:00 -0000

ros-galactic-rmw-gurumdds-cpp (1.0.0-1focal) focal; urgency=high

  * Fixed wrong package version
  * MANUAL_BY_NODE liveliness is deprecated
  * Updated packages to use gurumdds-2.6
  * Replaced rosidl_message_bounds_t with rosidl_runtime_c__Sequence__bound
  * Replaced rmw_request_id_t with rmw_service_info_t
  * Added rmw_take_sequence()
  * Fill timestamps in message info
  * Fixed template specialization
  * security_context is renamed to enclave
  * Replaced rosidl_generator_* with rosidl_runtime_*
  * Added incompatible qos support
  * Apply one participant per context API changes
  * Fixed serialization/deserialization errors
  * Fixed some errors
    * added missing qos finalization
    * fixed issue that topic endpoint info was not handled correctly
    * added null check to builtin datareader callbacks
  * Added qos finalization after creating publisher/subscriber
  * Added event init functions


=== debian/control ===
Source: ros-galactic-rmw-gurumdds-cpp
Section: misc
Priority: optional
Maintainer: Youngjin Yun <youngjin@gurum.cc>
Build-Depends: debhelper (>= 9.0.0), gurumdds-2.8, ros-galactic-ament-cmake-ros, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-gurumdds-cmake-module, ros-galactic-rcutils, ros-galactic-rmw, ros-galactic-rmw-gurumdds-shared-cpp, ros-galactic-rosidl-cmake, ros-galactic-rosidl-generator-dds-idl, ros-galactic-rosidl-runtime-c, ros-galactic-rosidl-runtime-cpp, ros-galactic-rosidl-typesupport-introspection-c, ros-galactic-rosidl-typesupport-introspection-cpp, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rmw-gurumdds-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gurumdds-2.8, ros-galactic-gurumdds-cmake-module, ros-galactic-rcutils, ros-galactic-rmw, ros-galactic-rmw-gurumdds-shared-cpp, ros-galactic-rosidl-runtime-c, ros-galactic-rosidl-runtime-cpp, ros-galactic-rosidl-typesupport-introspection-c, ros-galactic-rosidl-typesupport-introspection-cpp, ros-galactic-ros-workspace
Description: Implement the ROS middleware interface using GurumNetworks GurumDDS static code generation in C++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-rmw-gurumdds-cpp//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
